SetSignProcessCustomSubFilter

Keamanan dan tanda tangan

Deskripsi

Mengeset entri SubFilter dengan string kustom untuk proses digital signature, yang menentukan encoding dari signature value

Mirip SetSignProcessSubFilter tetapi entri Subfilter bisa dikustomisasi

Saat string yang diberikan diawali ETSI. (biasanya ETSI.CAdES.detached untuk signature baseline PAdES atau ETSI.RFC3161 untuk document time-stamp) library otomatis menambahkan entri PAdES /Extensions /ESIC <</BaseVersion /1.7 /ExtensionLevel 2>> ke document catalog sesuai ketentuan ETSI EN 319 142-1 v1.2.1 §5.6. Untuk PDF yang ditulis melalui TPDFlib, deklarasi Adobe yang setara (/Extensions /ADBE di /ExtensionLevel 8) ditambahkan paralel. Injeksi ini idempoten dan tidak pernah menurunkan extension level yang lebih tinggi yang sudah ada

Memilih ETSI.CAdES.detached juga mengaktifkan jalur tanda tangan PAdES-B-B: payload CMS hasilnya membawa attribute terautentikasi content-type (id-data) dan signing-certificate-v2 (RFC 5035 / RFC 5816), dan attribute signing-time yang dilarang Table 1 EN 319 142-1 dihilangkan karena library menyerahkan array attribute miliknya sendiri ke CryptSignMessage. Certificate penandatangan diidentifikasi lewat digest SHA-256-nya (atau SHA-384 / SHA-512 saat SetSignProcessDigestAlgorithm memilih hash lebih besar), dan build saat ini juga menyertakan tuple opsional IssuerSerial (distinguished name issuer plus serial number) agar validator PAdES yang lebih ketat bisa memeriksa silang certificate penandatangan terhadap rantai kandidatnya

Sintaks

Delphi

Function TPDFlib.SetSignProcessCustomSubFilter(SignProcessID: Integer; SubFilterStr: WideString): Integer;

ActiveX

Function PDFlib::SetSignProcessCustomSubFilter(SignProcessID As Long, SubFilterStr As String) As Long

DLL

int DLSetSignProcessCustomSubFilter(int InstanceID, int SignProcessID, const wchar_t * SubFilterStr);

Parameter

SignProcessIDNilai yang dikembalikan oleh fungsi NewSignProcessFromFile, NewSignProcessFromStream, atau NewSignProcessFromString
SubFilterStrCustom SubFilter string entry

Nilai kembalian

0Parameter SignProcessID tidak valid atau parameter SubFilter di luar rentang
1Success